Payments & FinanceAgent Read
Get the current billing overview for agent tools
GET
/v1/agent-read/billingGet the current billing overview for agent tools. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/agent-read/billing" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "currencyCode": "PEN", "currentPlanDetails": { "type": "none", "name": "Example resource", "price": 1, "sourceVersion": "example", "effectiveOn": "2026-08-01T15:30:00Z", "enableApi": false, "storageLimitBytes": 1, "monthlyTransferLimitBytes": 1, "maxUploadSizeBytes": 1, "maxStores": 1, "maxMembers": 1, "maxProducts": 1, "maxCategories": 1, "maxBrands": 1, "maxAttributes": 1, "maxCollections": 1, "monthlyAiCreditAllowance": 1, "activityLogRetentionDays": 1, "webhookSuccessRetentionDays": 1, "webhookFailedRetentionDays": 1 }, "usage": { "currentPlan": "none", "usage": [ { "code": "example_code", "used": 1, "limit": 1 } ] }, "aiCredits": { "accountId": "7204558912004325301", "monthlyCreditAllowance": 1, "monthlyCreditsUsed": 1, "purchasedCreditBalance": 1, "reservedCredits": 1, "availableCredits": 1, "cycleStartsOn": "2026-08-01T15:30:00Z", "cycleEndsOn": "2026-08-01T15:30:00Z" }, "pendingPlanChange": { "id": "7204558912004325301", "requestedPlan": "example", "status": "example", "amountDue": 1, "currencyCode": "PEN", "billingInterval": "example", "effectiveOn": "2026-08-01T15:30:00Z" }}